Skip to main content

Workspace Tag Assignment

View as Markdown

TagAssignment object

entity_typestringBeta

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks

Example: dashboards

entity_idstringBeta

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystringBeta

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

Constraints: [ 1 .. 256 ] characters

tag_valuestringBeta

The value of the tag

Example: high

Constraints: <= 1000 characters

Get Beta

GET /api/2.0/entity-tag-assignments/{entity_type}/{entity_id}/tags/{tag_key}

Get a tag assignment

API scopes: tags

Parameters

entity_typestringpath

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks

Example: dashboards

entity_idstringpath

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystringpath

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

Constraints: [ 1 .. 256 ] characters

Response

Returns the TagAssignment object.

List Beta

GET /api/2.0/entity-tag-assignments/{entity_type}/{entity_id}/tags

List the tag assignments for an entity

API scopes: tags

Parameters

entity_typestringpath

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks

Example: dashboards

entity_idstringpath

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

page_sizeint32query

Optional. Maximum number of tag assignments to return in a single page

page_tokenstringquery

Pagination token to go to the next page of tag assignments. Requests first page if absent.

Response

Returns a list of TagAssignment objects.

Create Beta

POST /api/2.0/entity-tag-assignments

Create a tag assignment

API scopes: tags

Request body

tag_assignmentobject
Show child attributesHide child attributes
entity_typestring

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks

Example: dashboards

entity_idstring

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystring

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

Constraints: [ 1 .. 256 ] characters

tag_valuestring

The value of the tag

Example: high

Constraints: <= 1000 characters

Response

Returns the TagAssignment object.

Update Beta

PATCH /api/2.0/entity-tag-assignments/{tag_assignment.entity_type}/{tag_assignment.entity_id}/tags/{tag_assignment.tag_key}

Update a tag assignment

API scopes: tags

Parameters

tag_assignmentobjectpath
Show child attributesHide child attributes
entity_typestring

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks

Example: dashboards

entity_idstring

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystring

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

Constraints: [ 1 .. 256 ] characters

tag_valuestring

The value of the tag

Example: high

Constraints: <= 1000 characters

update_maskstringquery

Response

Returns the TagAssignment object.

Delete Beta

DELETE /api/2.0/entity-tag-assignments/{entity_type}/{entity_id}/tags/{tag_key}

Delete a tag assignment

API scopes: tags

Parameters

entity_typestringpath

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks

Example: dashboards

entity_idstringpath

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystringpath

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

Constraints: [ 1 .. 256 ] characters